Subject: Re: Histogram diff, libgit2 enhancement, libgit2 => git merge (GSOC)

From: "Pavel Raiskup" <[email-masked]>
Date: Tue, 22 Mar 2011 17:43:42 +0100

Hello,

Jonathan Nieder wrote:

> Vicent Marti wrote:
>
>> -- I'm
>> personally doubtful of anybody succeeding on doing that project during
>> the SoC,
>
> ...
> If someone wants to work on this, I'd be glad to talk over what would
> be needed to make a realistic proposal.
>
>> so I have very little interest on mentoring the task.
>
> That's okay, of course.  What's probably important for people
> considering this project is: would you be willing to answer questions
> and consider patches from a person working on this?  That is, do you
> consider the goal even worthwhile?
>
> I am probably not the best person to mentor this but if no one else
> wants to then I would be interested.

As I can see now, it could be quite too heavy for me to produce
results as good as would be needed. This is probably quite difficult
task for starting with git contributing. Rather considering the other
git-topics for now (but I'm not rejecting this idea yet).

> A good place to start is the initial commit e83c516 (Initial revision
> of "git", the information manager from hell, 2005-04-07).
> ........
> Heh, probably I didn't choose the best example. :)  A short article
> about this in Documentation/technical certainly wouldn't be a bad
> thing.
>
> In addition to "git log -S" as used above, I tend to find "git blame -L"
> helpful FWIW.  And people on the list can be helpful, too.

This "short" article is very helpful, thank you for that! I think
it can help all contributors (not only students) at the beginning
of their git journey.

>> b) Write a minimal Git client using libgit2. Peff keeps bringing this
>> up and I think it's a bangin' good idea. Write something small and
>> 100% self contained in a C executable that runs everywhere with 0
>> dependencies -- don't aim for full feature completion, just the basic
>> stuff to interoperate with a Git repository.
>
> I agree that this would be very neat, too.

The idea of git client based on libgit2 sounds VERY interesting. I'm
going to ask for some details in neighboring sub-thread.

>> Best of luck with your application process with whatever project you decide,
>> Vicent
>
> Seconded. :)

Thank you both, I'm not going to try other projects, there is not enough
time now for researching other projects and git is my only choice and desire.

Pavel